Bug 993854

Summary: VUL-1: CVE-2016-6490: xen: Qemu: virtio: infinite loop in virtqueue_pop
Product: [Novell Products] SUSE Security Incidents Reporter: Marcus Meissner <meissner>
Component: IncidentsAssignee: Charles Arnold <carnold>
Status: RESOLVED UPSTREAM QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P5 - None CC: krahmer, security-team, smash_bz, vpereira
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/171443/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Marcus Meissner 2016-08-16 10:05:40 UTC
(xen copy of the qemu bug)

+++ This bug was initially created as a clone of Bug #991466 +++

Quoting from RH BZ:

Quick emulator(Qemu) built with the virtio framework is vulnerable to an 
infinite loop issue. It could occur if the guest was to set the I/O descriptor 
buffer length to be zero. A privileged user inside guest could use this flaw 
to potentially crash the Qemu instance on the host resulting in DoS.


rh#1361427

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1361427
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-6490
http://seclists.org/oss-sec/2016/q3/188
http://people.canonical.com/~ubuntu-security/cve/2016/CVE-2016-6490.html
Comment 2 Marcus Meissner 2016-08-16 14:07:26 UTC
none of our XEN versions seems to have the affected code, as it was only added in very new qemu versions.